Summary: A wiki engine
Name: mediawiki
Version: 1.15.0
Release: 47%{?dist}
License: GPLv2+
Group: Development/Tools
URL: http://www.mediawiki.org/
Source0: http://download.wikimedia.org/mediawiki/1.15/%{name}-%{version}.tar.gz
Patch0: mediawiki-1.15.0-commoncode.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExcludeArch:    sparc64 s390 s390x
BuildRequires: ocaml >= 3.06
# to make sure the "apache" group is created before mediawiki is installed
Requires(pre): httpd
Requires: php >= 5, php-xml
Requires: php-mysql, php-pgsql
Requires: diffutils, ImageMagick, php-gd
Requires: mediawiki-nomath = %{version}-%{release}
Requires: mediawiki-math = %{version}-%{release}

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package supports wiki farms. Copy /var/www/wiki over to the
desired wiki location and configure it through the web
interface. Remember to remove the config dir after completing the
configuration.

%package nomath
Summary: mediawiki w/o texvc.
Group: Development/Tools

%description nomath
This subpackage contains all mediawiki parts except the ones to aid in
creating inline math. This is done for minimal wiki installs that do
not require math formulae and therefore no dependencies to LaTeX are
set up.

%package math
Summary: Math support for mediawiki.
Group: Development/Tools
Requires: mediawiki = %{version}-%{release}
Requires: mediawiki-nomath = %{version}-%{release}
Requires: tetex-latex, tetex-dvips

%description math
This subpackage contains the math support for mediawiki.

%prep
%setup -q
%patch0 -p1 -b .commoncode

%build
cd math
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki
cp -a * %{buildroot}%{_datadir}/mediawiki/

# remove undeeded parts
rm -fr %{buildroot}%{_datadir}/mediawiki/{t,test,tests}
rm -fr %{buildroot}%{_datadir}/mediawiki/includes/zhtable
find %{buildroot}%{_datadir}/mediawiki/ \
  \( -name .htaccess -or -name \*.cmi \) \
  | xargs rm

# fix permissions
chmod +x %{buildroot}%{_datadir}/mediawiki/bin/*
find %{buildroot}%{_datadir}/mediawiki -name \*.pl | xargs chmod +x

# move arch dependent parts
if test ! -d %{buildroot}%{_libdir}/mediawiki/math; then
  mkdir -p %{buildroot}%{_libdir}/mediawiki
  mv %{buildroot}%{_datadir}/mediawiki/math \
     %{buildroot}%{_libdir}/mediawiki/
fi

find %{buildroot} -name .svnignore | xargs rm
find %{buildroot} -name \*.commoncode | xargs rm

mkdir -p %{buildroot}/var/www/wiki
cd %{buildroot}/var/www/wiki/
mkdir -p images/{archive,deleted,temp,thumb}
cp -a %{buildroot}%{_datadir}/mediawiki/config .
ln -s %{_datadir}/mediawiki/index.php index.php
ln -s %{_datadir}/mediawiki/api.php api.php

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE

%files nomath
%defattr(-,root,root,-)
%doc COPYING
%{_datadir}/mediawiki
%attr(-,apache,apache) %dir %{_datadir}/mediawiki/config
%{_datadir}/mediawiki/config/*
/var/www/wiki
%attr(-,apache,apache) %dir /var/www/wiki/config
/var/www/wiki/config/*

%files math
%defattr(-,root,root,-)
%{_libdir}/mediawiki


%changelog
* Sat Jul 11 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.0-47
- Fix api.php breakage.

* Sat Jun 13 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.0-46
- Update to 1.15.0.

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Sat Feb 28 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.14.0-45
- Update to 1.14.0.

* Sun Feb 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.4-44
- Split package up, so some users can decide to not install math
  support (results in smaller installs), see RH bug #485447.

* Wed Feb 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.4-43
- Update to 1.13.4, closes RH bug #485728.

* Tue Dec 23 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.3-42
- Update to 1.13.3, closes RH bug #476621 (CVE-2008-5249,
  CVE-2008-5250, CVE-2008-5252 and CVE-2008-5687, CVE-2008-5688)

* Sun Oct  5 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.2-41
- Update to 1.13.2.

* Sun Aug 24 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-40
- Use consistently Patch0 and %%patch0.

* Sat Aug 16 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-39
- Update to 1.13.0.

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.10.4-40
- fix license tag

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.4-38
- Update to 1.10.4.

* Tue Feb 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.3-37
- Update to 1.10.3.
- Fixes CVE-2008-0460 (bug #430286).

* Wed May  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.0-35
- Update to 1.10.0.

* Thu Feb 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.3-34
- Update to 1.9.4.

* Mon Feb  5 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.2-33
- Update to 1.9.2.

* Fri Feb  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-32
- Fix permissions.
- Remove some parts not needed at runtime anymore.

* Thu Feb  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-31
- Update to 1.9.1.

* Sat Oct 14 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-28
- Update to 1.8.2.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.1-27
- Update to 1.8.1.
- Update to 1.8.0.

* Mon Jul 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.7.1.

* Wed Jun  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.7.

* Fri May 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.6.

* Thu Apr 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.3.

* Sat Apr  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.2.

* Fri Apr  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.1.

* Mon Apr  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.8.

* Thu Mar  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.7.

* Thu Jan 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.6.

* Fri Jan  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.5.

* Sun Dec  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.3.

* Fri Nov  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.2.

* Mon Oct 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.1.

* Thu Oct  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.0.

* Fri Sep  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5rc4.

* Sun Jul 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta4.

* Fri Jul  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta3.

* Tue Jul  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta2.

* Sun Jul  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

